Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SEditAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              SEdit.SEditAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class SEditAgent

extends Agent

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATE`
`static java.lang.String` | `VERSION`

Constructor Summary
`SEditAgent()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `createModel(java.lang.String s)`
`void` | `doLaunchAgent(AbstractAgent ag, java.lang.String label, boolean bean)`
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`protected void` | `handleMessage(SEditMessage fm)`
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`void` | `live()` This method defines the main behavior for threaded agents.
`void` | `loadFormalism(java.lang.String s)`
`void` | `startEditor(java.lang.String s)`
`void` | `urlFormalism(java.lang.String s)`
`void` | `windowClosing(java.awt.AWTEvent we)`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static java.lang.String VERSION

### DATE

    public static java.lang.String DATE

Constructor Detail

### SEditAgent

    public SEditAgent()

Method Detail

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### loadFormalism

    public void loadFormalism(java.lang.String s)

### urlFormalism

    public void urlFormalism(java.lang.String s)

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developper should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developper does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `AbstractAgent`

### doLaunchAgent

    public void doLaunchAgent(AbstractAgent ag,
                              java.lang.String label,
                              boolean bean)

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior for threaded agents.

  Overrides:
    `live` in class `Agent`

### handleMessage

    protected void handleMessage(SEditMessage fm)

### startEditor

    public void startEditor(java.lang.String s)

### createModel

    public void createModel(java.lang.String s)

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations.

  Overrides:
    `end` in class `AbstractAgent`

### windowClosing

    public void windowClosing(java.awt.AWTEvent we)

  Overrides:
    `windowClosing` in class `AbstractAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.